BCVTB Energyplus Matlab Compatibility

44 views
Skip to first unread message

조지현

unread,
May 17, 2020, 10:25:15 PM5/17/20
to bcvtb

Hi.

Is it possible that BCVTB 1.6 , Energyplus 9.2 and Matlab 2020a co-simulate?

I want to co-simulate Predictive Model and control by MATLAB Deep learning tool box(Released from MATLAB 2017a)

However, in front page of BCVTB I found out that Latest BCVTB has been compiled with Java (1.8.0_77 64-bit). It has been tested on Linux (Ubuntu 14.04 64-bit), Windows (7 and 8.1 64-bit), Mac OS X (10.10.5 64-bit) with latest releases of EnergyPlus (8.5.0), MATLAB (R2016a), and Dymola (2016 FD01).

I want to know how to connect BCVTB 1.6, Energyplus 9.2 and Latest Matlab 2020a.

Thank you

Himanshu Nagpal

unread,
May 18, 2020, 7:19:46 AM5/18/20
to bcvtb
You have to edit  the following file 

\bin\systemVariable-windows.properties

Replace 

<entry key="ENERGYPLUS_BIN">C:\EnergyPlusV8-5-0</entry>
<entry key="MATLAB_BIN">C:\Program Files\MATLAB\R2016a\bin</entry>


with 

<entry key="ENERGYPLUS_BIN">C:\EnergyPlusV9-2-0</entry>
<entry key="MATLAB_BIN">C:\Program Files\MATLAB\R2020b\bin</entry>



조지현

unread,
May 19, 2020, 12:54:40 AM5/19/20
to bcvtb
Thank you, Himanshu Nagpal.

2020년 5월 18일 월요일 오후 8시 19분 46초 UTC+9, Himanshu Nagpal 님의 말:

조지현

unread,
May 19, 2020, 2:36:20 AM5/19/20
to bcvtb
Hello.

Thank you for your kind reply.

Could you tell me which versions of JDK, Microsoft Visual Studio, Microsoft Visual C++, and Microsoft SDK should be installed to work with BCVTB 1.6 and Matlab 2020a?


2020년 5월 19일 화요일 오후 1시 54분 40초 UTC+9, 조지현 님의 말:

Himanshu Nagpal

unread,
May 19, 2020, 6:33:09 AM5/19/20
to bcvtb
I am using jdk-11.0.6 since I had some problem with latest versions. I am not sure why do you need Microsoft Visual C++, Visual Studio and Microsoft SDK. I do not have these installed on my computer except Microsoft Visual C++ 2008. 
Reply all
Reply to author
Forward
0 new messages